Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4302 - /etc/profile.d/mc.sh: missing export -f makes function mc() vanish in non-console sessions
Summary: /etc/profile.d/mc.sh: missing export -f makes function mc() vanish in non-con...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-01 17:55 UTC by Christian Hechelmann
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 19:02:34 UTC


Attachments (Terms of Use)

Description Christian Hechelmann 1999-08-01 17:55:22 UTC
When logging in via xdm/kdm/gdm any settings from
/etc/profile, and /etc/profile.d/* silently vanish. However
e.g. /etc/X11/gdm/Sessions/* get run and whithin these
scripts the settings are still there.

Comment 1 Christian Hechelmann 1999-08-01 22:23:59 UTC
It turns out that the observations I made are actually slightly
different: I noticed the whole thing because I modified
/etc/profile.d/mc.sh so that mc was passed an additional parameter and
this parameter (and the whole mc function) didn't show up in an
kvt/xterm/gnome-terminal. Close reading of the bash man-page revealed
that one needs to explicitly do "export -f <function name>" to get the
function in child processes..

Summary and component changed to reflect this.

Comment 2 Jeff Johnson 1999-08-23 19:02:59 UTC
This appears to not be a problem: exporting names so that will
be passed to children is the behavior of bash (and other shells).


Note You need to log in before you can comment on or make changes to this bug.